> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.fortresstech.io/api-reference/deposits/list-deposit-transactions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.fortresstech.io/_mcp/server. # List Deposit Transactions GET https://api.fortresstech.io/v1/deposits/{depositId}/transactions List the transactions associated with a deposit Reference: https://developer.fortresstech.io/api-reference/deposits/list-deposit-transactions ## Authentication - `x-api-key` header (required) — API Key authentication via header ## Request ### Path parameters - `depositId` (string, required) — The id of the deposit ## Response ### 200 A paged array of the deposit's transactions - `list of Transaction` ## Types ### Transaction - `id` (string, optional) - `readableId` (string, optional) — The readable ID for the transaction - `customerId` (string, optional) — The ID of the customer associated with the transaction - `householdId` (string, optional) — The ID of the household associated with the transaction - `propertyId` (string, optional) — The ID of the property associated with the transaction - `organizationId` (string, optional) — The ID of the organization associated with the transaction - `depositId` (string, optional) — The ID of the deposit associated with the transaction - `date` (datetime, optional) - `amount` (double, optional) - `note` (string, optional) — Notes about the transaction - `code` (string, optional) — The code for the transaction - `subjournal` (enum, optional) — The subjournal for the transaction - Allowed values: `RESIDENT`, `SUBSIDY` - `ledger` (enum, optional) — The ledger for the transaction - Allowed values: `RESIDENT`, `SECURITY` - `fiscalPeriod` (string, optional) — The fiscal period for the transaction - `isPaid` (boolean, optional) — Whether the transaction is paid - `type` (enum, optional) — The type of the transaction - Allowed values: `CREDIT`, `CHARGE`, `PAYMENT`, `RECONCILIATION`, `OTHER`, `SECURITY_CHARGE`, `SECURITY_PAYMENT`, `MISC_CHARGE`, `SECURITY_CREDIT` - `reversedTransactionId` (string, optional) — The ID of the reversed transaction - `runningBalanceAmount` (double, optional) — The running balance amount after the transaction - `paymentDate` (datetime, optional) — The date the charge was paid - `createdAt` (datetime, optional) - `updatedAt` (datetime, optional) - `deletedAt` (datetime, optional) - `household` (households_components-schemas-Base, optional) ### households_components-schemas-Base - `status` (enum, optional) - Allowed values: `APPLICANT`, `RESIDENT`, `PRIOR` - `isUnderEviction` (boolean, optional) - `id` (string, optional) - `readableId` (string, optional) - `idempotencyId` (string, optional) - `createdAt` (datetime, optional) - `updatedAt` (datetime, optional) - `deletedAt` (datetime, optional) - `currentUnitId` (string, optional) — Current unit the household is associated with. Set only when the lease is active - `currentLeaseId` (string, optional) — Current active lease for the household. - `applicationId` (string, optional) - `organizationId` (string, optional) - `propertyId` (string, optional) - `currentCertificationId` (string, optional) - `prospectId` (string, optional) - `primaryCustomerId` (string, optional) - `totalActiveRentAmount` (double, optional) — Sum of all active RENT monthly lease transactions for the household - `totalActiveSubsidyAmount` (double, optional) — Sum of all active SUBRENT monthly lease transactions for the household - `totalActiveFeesAmount` (double, optional) — Sum of all active non-optional fee (charge) monthly lease transactions for the household - `unitId` (string, optional, deprecated) — Deprecated, use currentUnitId instead ## Examples **Response** ```json [ { "id": "string", "readableId": "string", "customerId": "string", "householdId": "string", "propertyId": "string", "organizationId": "string", "depositId": "string", "date": "2024-01-15T09:30:00Z", "amount": 1.1, "note": "string", "code": "string", "subjournal": "RESIDENT", "ledger": "RESIDENT", "fiscalPeriod": "string", "isPaid": true, "type": "CREDIT", "reversedTransactionId": "string", "runningBalanceAmount": 1.1, "paymentDate": "2024-01-15T09:30:00Z", "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "deletedAt": "2024-01-15T09:30:00Z", "household": { "status": "APPLICANT", "isUnderEviction": true, "id": "string", "readableId": "string", "idempotencyId": "string", "createdAt": "2024-01-15T09:30:00Z", "updatedAt": "2024-01-15T09:30:00Z", "deletedAt": "2024-01-15T09:30:00Z", "currentUnitId": "string", "currentLeaseId": "string", "applicationId": "string", "organizationId": "string", "propertyId": "string", "currentCertificationId": "string", "prospectId": "string", "primaryCustomerId": "string", "totalActiveRentAmount": 1.1, "totalActiveSubsidyAmount": 1.1, "totalActiveFeesAmount": 1.1, "unitId": "string" } } ] ``` **SDK Code** ```python import requests url = "https://api.fortresstech.io/v1/deposits/depositId/transactions" headers = {"x-api-key": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.fortresstech.io/v1/deposits/depositId/transactions'; const options = {method: 'GET', headers: {'x-api-key': ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.fortresstech.io/v1/deposits/depositId/transactions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.fortresstech.io/v1/deposits/depositId/transactions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.fortresstech.io/v1/deposits/depositId/transactions") .header("x-api-key", "") .asString(); ``` ```php request('GET', 'https://api.fortresstech.io/v1/deposits/depositId/transactions', [ 'headers' => [ 'x-api-key' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.fortresstech.io/v1/deposits/depositId/transactions"); var request = new RestRequest(Method.GET); request.AddHeader("x-api-key", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["x-api-key": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://api.fortresstech.io/v1/deposits/depositId/transactions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```